Skip to main content

GET /v1/reddit/app/fetch_subreddit_post_channels

Fetch Reddit APP Subreddit Post Channels

stable · 2 credits per success

Fetch post channel information of a specified Reddit APP subreddit;subreddit_name: Subreddit name;sort: Sort method, supports HOT, NEW, TOP, CONTROVERSIAL, RISING;range: Time range, supports HOUR, DAY, WEEK, MONTH, YEAR, ALL;JSON data of post channel information of the specified subreddit

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl
curl -s 'https://api.wellbyte.net/v1/reddit/app/fetch_subreddit_post_channels?sort=HOT&range=DAY&need_format=false&subreddit_name=pics' \
  -H "Authorization: Bearer dg_live_…"

Response

Sample captured 2026-09-23

data{
code:0
data{
subredditInfoByName{ 2 items }
}
meta{
endpoint:"reddit.app.fetch_subreddit_post_channels"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    sortstringqueryno排序方式HOT
    rangestringqueryno时间范围DAY
    need_formatbooleanqueryno是否需要清洗数据false
    subreddit_namestringqueryno版块名称pics

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 2 credits. Any failure — including a 200 that fails the quality gate — costs 0.

    All Reddit endpoints →

    Search

    Search endpoints and docs